#!/usr/bin/perl
  
my $HTML_TEMPLATE = <<HTMLEND;
<!--BEGIN-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Aurigma File Downloader</title>
		<link href="style.css" type="text/css" rel="stylesheet" />
		<script type="text/javascript" src="../Scripts/iuembed.js"></script>
		<script type="text/javascript" src="Resources/en.js"></script>
		<script type="text/javascript" src="Resources/ru.js"></script>
		<script type="text/javascript">
			var loaded = false;
			var language = 'en';

			function fullPageLoad() {
				if (loaded != true) {
					loaded = true;
					translate(language);
				}
			}
			function translate(language) {
				//Check if the page is fully loaded
				if (loaded) {
					//Apply translation
					window[language + '_resources'].use(getFileDownloader('FileDownloader'));
				}
			}
		</script>
	</head>
	<body>
		<div id="main">
			<h1>Localization Sample</h1>
			<p id="intro">This demo application demonstrates how to use File Downloader on international Web sites where several languages should be supported.</p>
			<p>Select a language:</p>
			<p>
				<select id="SelectLanguage" onchange="translate(this.options[this.selectedIndex].value);">
					<option value="en" selected="true">[en] - English</option>
					<option value="ru">[ru] - Russian</option>
				</select>
			</p>
			<script type="text/javascript">
//Create JavaScript object that will embed File Downloader to the page
var fd = new FileDownloaderWriter("FileDownloader", 100, 44);

//For ActiveX control full path to CAB file (including file name) should be specified
fd.activeXControlCodeBase = '../Scripts/FileDownloader7.cab';
fd.activeXControlCodeBase64 = '../Scripts/FileDownloader7_x64.cab';

fd.javaAppletCodeBase = '../Scripts';

//Configure URL from which the file list will be downloaded
//Change this path if necessary
fd.addParam("FileList", "filelist.txt");

//Set license key 
fd.addParam("LicenseKey", "XXXXX-XXXXX-XXXXX-XXXXX-XXXXXX");

//Add page load listener
fd.fullPageLoadListenerName = "fullPageLoad";

//Tell File Downloader writer object to generate all necessary HTML code to embed File Downloader into the page
fd.writeHtml();
			</script>
		</div>
	</body>
</html>
<!--END-->
HTMLEND

sub print_html {
	print "Content-Type: text/html\r\n\r\n";
	print $HTML_TEMPLATE;
}

print_html();
